Wallets, tokens & networks

Get Networks New

Lists org networks with token types, hiding networks without enabled tokens unless includeDisabled.

POSThttps://api.toku.com/hris/get-networks-new

Required scope: wallets:read

curl --request POST \
  --url 'https://api.toku.com/hris/get-networks-new' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "includeDisabled": true
}'
200 response
{
  "networks": [
    {
      "networkID": "string",
      "orgID": "string",
      "name": "string",
      "icon": "string",
      "tokenType": "string",
      "isNetworkEnabled": true,
      "chainType": "string",
      "meshConnectNetworkID": "string",
      "rpcUrlConfigured": true,
      "evmChainID": 0,
      "multiSendCallOnlyAddress": "string",
      "safeSingletonAddress": "string",
      "safeFactoryAddress": "string",
      "safeAppBaseUrl": "string",
      "blockExplorerBaseUrl": "string",
      "eipsName": "string",
      "defaultNetworkSlugUrl": "string",
      "catalogChainID": "string",
      "TokenType": [
        {}
      ],
      "tokenTypes": [
        {}
      ]
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

includeDisabledboolean

Response

200Successful response
networksarray | null
Show child attributes
networkIDstring | null
orgIDstring | null
namestring | null
iconstring | null
tokenTypestring | null
isNetworkEnabledboolean | null
chainTypestring | null
meshConnectNetworkIDstring | null
rpcUrlConfiguredboolean | null
evmChainIDnumber | null
multiSendCallOnlyAddressstring | null
safeSingletonAddressstring | null
safeFactoryAddressstring | null
safeAppBaseUrlstring | null
safeTxServiceUrlanyrequired
blockExplorerBaseUrlstring | null
eipsNamestring | null
aleoTransferVisibilityanyrequired
defaultNetworkSlugUrlstring | null
catalogChainIDstring | null
TokenTypearray | null
tokenTypesarray | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits